@import url("https://fonts.googleapis.com/css2?family=Avenir+Next:wght@400;500;600;700&family=Fira+Code:wght@400;700&family=Fira+Mono:wght@400;700&family=Manrope:wght@400;700&family=Roboto+Mono:wght@400;700&display=swap");

:root {
	--font-base: "Avenir Next", "Manrope", sans-serif;
	--font-mono: "Fira Code", "Fira Mono", "Roboto Mono", monospace;
	--h: 180;
	--s: 2%;
	--l: 20%;
	--color-bg: hsl(0, 0%, 4%);
	--color-grey-100: #fff;
	--color-grey-300: #e4e7e7;
	--color-grey-400: #c9cfcf;
	--color-grey-500: #9ea9a9;
	--color-grey-700: #7a8484;
	--color-grey-900: #3b4040;
	--color-grey-950: #272a2a;
	--color-primary: hsl(var(--h), var(--s), var(--l));
	--shadow-md: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px,
		rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;
	--shadow-lg: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
	--rounded-sm: 0.5rem;
	--rounded-md: 1.5rem;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	height: 100%;
}

html,
body,
#__next {
	min-height: 100% !important;
	height: 100%;
}

body {
	min-height: 100%;
	font-family: var(--font-base);
}

pre,
code {
	font-family: var(--font-mono);
}

code {
	background-color: var(--color-grey-950);
	padding: 0.25rem 0.5rem;
	margin: 0 0.25rem;
	border-radius: 0.4rem;
	font-size: 0.875rem;
}

code:before,
code:after {
	content: "`";
}

ul,
li {
	list-style-position: inside;
}

.search {
	position: relative;
	background: transparent !important;
	border: none !important;
	border-bottom: 1px solid white !important;
	border-radius: 0px !important;
	color: white !important;
	padding-left: 30px !important;
}

.search::placeholder {
	color: white !important;
}

.search-icon {
	width: 20px;
	top: 8px;
}

#search-services:focus {
	box-shadow: none !important;
}

.input[type="search"]::-webkit-search-cancel-button {
	-webkit-appearance: none;
	height: 15px;
	width: 15px;
	background: url("/public/assets/croix.png") no-repeat 50% 50%;
	cursor: pointer;
}

.login-wrapper {
	background: linear-gradient(270deg, #000f8e 25%, #a931f6 129.76%);
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
}

.description {
	font-size: 16px;
	padding-bottom: 20px;
	padding-top: 20px;
	text-align: center;
	margin-left: 0px;
	margin-right: 0px;
}

.title {
	color: #000f8e;
	font-size: 24px;
	text-align: center;
}

.card {
	min-height: 15vh;
	float: left;
	padding: 1em;
	width: 100%;
	background: #fff;
	max-width: 330px;
	font-family: Titillium Web, sans-serif;
	font-style: normal;
	font-weight: 700;
	font-size: 24px;
	line-height: 115%;
	justify-content: center;
	overflow: auto;
}

.login-wrapper .mat-card {
	padding: 40px 70px 50px;
}